nxt.util.bbh

## Enum LengthRwPrimitiveType

- java.lang.Object
- - java.lang.Enum<LengthRwPrimitiveType>
  - - nxt.util.bbh.LengthRwPrimitiveType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LengthRwPrimitiveType>, LengthRw

      public enum LengthRwPrimitiveType
      extends java.lang.Enum<LengthRwPrimitiveType>
      implements LengthRw

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BYTE`
    `INTEGER`
    `SHORT`
    `UBYTE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSize()`
    `int` | `readFromBuffer(java.nio.ByteBuffer buffer)`
    `boolean` | `validate(int length)`
    `static LengthRwPrimitiveType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LengthRwPrimitiveType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.
    `void` | `writeToBuffer(java.nio.ByteBuffer buffer, int length)`

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface nxt.util.bbh.LengthRw

      `maxStringLen`

- - ### Enum Constant Detail

    - #### BYTE

          public static final LengthRwPrimitiveType BYTE

    - #### UBYTE

          public static final LengthRwPrimitiveType UBYTE

    - #### SHORT

          public static final LengthRwPrimitiveType SHORT

    - #### INTEGER

          public static final LengthRwPrimitiveType INTEGER

  - ### Method Detail

    - #### values

          public static LengthRwPrimitiveType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LengthRwPrimitiveType c : LengthRwPrimitiveType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LengthRwPrimitiveType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getSize

          public int getSize()

      Specified by:
        `getSize` in interface `LengthRw`

    - #### readFromBuffer

          public int readFromBuffer(java.nio.ByteBuffer buffer)

      Specified by:
        `readFromBuffer` in interface `LengthRw`

    - #### writeToBuffer

          public void writeToBuffer(java.nio.ByteBuffer buffer,
                                    int length)

      Specified by:
        `writeToBuffer` in interface `LengthRw`

    - #### validate

          public boolean validate(int length)

      Specified by:
        `validate` in interface `LengthRw`